%define _name icclib
%def_disable static

Name: libicc
Version: 2.12
Release: alt2

Summary: ICC profile I/O library
Group: System/Libraries
License: GPLv3
Url: http://www.argyllcms.com/

Source: http://www.argyllcms.com/icclib_V%version.zip
# (fc) 2.1-0.beta.1mdv change build system to use autotools (Debian)
Patch: icclib-2.1-autotools.patch

Provides: %_name-%version
BuildRequires: unzip

%description
The icclib is a set of routines which implement the reading and
writing of color profile files that conform to the International
Color Consortium (ICC) Profile Format Specification, Version 3.4.

%package devel
Summary: Development files for icclib
Group: Development/C
Requires: %name = %version-%release
Provides: %_name-devel = %version-%release

%description devel
The icclib is a set of routines which implement the reading and
writing of color profile files that conform to the International
Color Consortium (ICC) Profile Format Specification, Version 3.4.

This package provides headers and libraries for development applications
using %_name.

%prep
%setup -q -c -n %_name-%version
%patch -p1 -b .autotools

%build
%autoreconf
%configure \
    %{subst_enable static}

%make

%check
%make check

%install
%make DESTDIR=%buildroot install

%files
%_bindir/*
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%doc log.txt Readme.txt todo.txt


%changelog
* Thu Nov 11 2010 Yuri N. Sedunov <aris@altlinux.org> 2.12-alt2
- rebuild for soname set-versions

* Sun Jan 31 2010 Yuri N. Sedunov <aris@altlinux.org> 2.12-alt1
- 2.12

* Tue Dec 08 2009 Yuri N. Sedunov <aris@altlinux.org> 2.11-alt1
- first build for Sisyphus

